# LocalPortForwarder.Parameters (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.connection.channel.direct
Class LocalPortForwarder.Parameters

    java.lang.Object
      net.schmizz.sshj.connection.channel.direct.LocalPortForwarder.Parameters

Enclosing class:
  LocalPortForwarder

    public static class LocalPortForwarder.Parameters

extends Object

Constructor Summary
`LocalPortForwarder.Parameters(String localHost, int localPort, String remoteHost, int remotePort)`

Method Summary
`String` `getLocalHost()`
`int` `getLocalPort()`
`String` `getRemoteHost()`
`int` `getRemotePort()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalPortForwarder.Parameters

    public LocalPortForwarder.Parameters(String localHost,
                                         int localPort,
                                         String remoteHost,
                                         int remotePort)

Method Detail

### getRemoteHost

    public String getRemoteHost()

### getRemotePort

    public int getRemotePort()

### getLocalHost

    public String getLocalHost()

### getLocalPort

    public int getLocalPort()

Copyright © 2009-2012. All Rights Reserved.